import React from 'react';
import { expect } from 'chai';
import { shallow } from 'enzyme';

import renderRoute from './renderRoute';

const Route = () => (<div>My route</div>);

describe('renderRoute', () => {
  it('should call getRouteData from context and set state', () => {
    const defaultProps = {
      location: { pathname: '/foo' },
    };
    const context = { getRouteData: () => ('foo!') };
    const WrappedRoute = renderRoute(Route);
    const wrapper = shallow(<WrappedRoute {...defaultProps} />, { context });

    expect(wrapper.state().data).to.equal('foo!');
  });
});
