import 'babel-polyfill';
import 'babel-register';

import { argv } from 'yargs';
import path from 'path';

import './hooks';
import defaultConfig from './../src/defaultConfig';

import requireFile from './utils/requireFile';
import createOutputFolder from './utils/createOutputFolder';
import generateWebpackOutput from './utils/generateWebpackOutput';
import mapStatsToOutput from './utils/mapStatsToOutput';
import handleError from './messaging';

(async () => {
  //  TODO - get this from context
  const defaultConfigPath = './src/config';
  const { config = defaultConfigPath } = argv;
  const userConfig = await requireFile(path.join(process.cwd(), config));

  const fullWebpackConfig = {
    ...defaultConfig,
    ...userConfig,
  };

  createOutputFolder(fullWebpackConfig)
    .then(generateWebpackOutput(fullWebpackConfig))
    .then(mapStatsToOutput)
    .catch(handleError);
})();
