import { argv } from 'yargs';

const { debug = false } = argv;

const messages = {
  welcome: ({ appName, isDevEnvironment, port }) => (`                  
    RCA-Precursor: Starting ${appName}
    http://localhost:${port || 3000}
    Environment: ${(isDevEnvironment ? 'Development' : 'Production')}
    Debug: ${debug}
  `),
  error: ({ type, error }) => {
    const types = {
      static: `StaticMiddleware:\n\n${error}`,
    };
    return types[type];
  },
};

export const getMessage = (type, args) => (
  messages[type] ? messages[type](args) : messages.error
);

export default err => (console.log(err));
