import 'babel-polyfill';
import 'babel-register';

import { argv } from 'yargs';
import path from 'path';

import './hooks';
import requireFile from './utils/requireFile';
import Server from './../src/server';

(async () => {
  const defaultConfigPath = './src/config';

  const { config = defaultConfigPath } = argv;
  const userConfig = await requireFile(path.join(process.cwd(), config));
  const server = new Server(userConfig);
  server.create();
})();
